Bug 433085 - USB mouse / keyboard button mouse don't function
USB mouse / keyboard button mouse don't function
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mouse (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 20:48 EST by James Ralston
Modified: 2008-03-04 17:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 17:47:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log log from an X session which demonstrates the problem (32.09 KB, text/plain)
2008-02-15 20:48 EST, James Ralston
no flags Details
/etc/X11/xorg.conf file (1.55 KB, text/plain)
2008-02-15 20:53 EST, James Ralston
no flags Details

  None (edit)
Description James Ralston 2008-02-15 20:48:50 EST
I have a Dell Latitude D600 laptop that I'm using to test Fedora 9 (rawhide).

Under X, the only pointing device that I can get to function is the touchpad
mouse.  The keyboard button mouse (between the G, H, and B keys) doesn't
function; an external USB mouse that I've been using for years also fails.

Curiously, though, if the laptop panel has gone into DPMS power save mode, using
the keyboard button mouse or using the USB mouse (either moving it or clicking
buttons) will kick the laptop panel back on.  So, clearly, inputs from these
devices are being processed on some level; they just don't seem to be capable of
moving the cursor or generating button press events.

Versions:

$ rpm -qa | grep -E 'kernel|xorg' | sort; uname -r
kernel-2.6.24-2.fc9.i686
kernel-2.6.25-0.40.rc1.git2.fc9.i686
kernel-headers-2.6.25-0.40.rc1.git2.fc9.i386
kerneloops-0.10-2.fc9.i386
xorg-x11-apps-7.3-1.fc8.i386
xorg-x11-docs-1.3-2.fc9.noarch
xorg-x11-drivers-7.2-11.fc9.i386
xorg-x11-drv-acecad-1.1.0-5.fc8.i386
xorg-x11-drv-aiptek-1.0.1-5.fc8.i386
xorg-x11-drv-amd-0.0-22.20070625.fc8.i386
xorg-x11-drv-apm-1.1.1-7.fc8.i386
xorg-x11-drv-ast-0.81.0-6.fc8.i386
xorg-x11-drv-ati-6.7.197-1.fc9.i386
xorg-x11-drv-calcomp-1.1.0-4.fc8.i386
xorg-x11-drv-cirrus-1.1.0-7.fc9.i386
xorg-x11-drv-citron-2.2.0-2.fc7.i386
xorg-x11-drv-cyrix-1.1.0-5.fc8.i386
xorg-x11-drv-digitaledge-1.1.0-4.fc8.i386
xorg-x11-drv-dmc-1.1.0-3.fc7.i386
xorg-x11-drv-dummy-0.2.0-7.fc9.i386
xorg-x11-drv-dynapro-1.1.0-3.fc7.i386
xorg-x11-drv-elographics-1.1.0-4.fc8.i386
xorg-x11-drv-evdev-1.2.0-1.fc9.i386
xorg-x11-drv-fbdev-0.3.1-6.fc9.i386
xorg-x11-drv-fpit-1.1.0-4.fc8.i386
xorg-x11-drv-glint-1.1.1-7.fc8.i386
xorg-x11-drv-hyperpen-1.1.0-5.fc8.i386
xorg-x11-drv-i128-1.2.1-1.fc8.i386
xorg-x11-drv-i740-1.1.0-5.fc8.i386
xorg-x11-drv-i810-2.2.0-3.fc9.i386
xorg-x11-drv-jamstudio-1.1.0-4.fc8.i386
xorg-x11-drv-keyboard-1.2.2-3.fc9.i386
xorg-x11-drv-magellan-1.1.0-4.fc8.i386
xorg-x11-drv-magictouch-1.0.0.5-5.fc8.i386
xorg-x11-drv-mga-1.4.7-1.20080102.fc9.i386
xorg-x11-drv-microtouch-1.1.0-2.fc7.i386
xorg-x11-drv-mouse-1.2.3-3.fc9.i386
xorg-x11-drv-mutouch-1.1.0-5.fc8.i386
xorg-x11-drv-neomagic-1.1.1-4.fc8.i386
xorg-x11-drv-nouveau-2.1.6-8.fc9.i386
xorg-x11-drv-nsc-2.8.1-4.fc8.i386
xorg-x11-drv-nv-2.1.6-8.fc9.i386
xorg-x11-drv-openchrome-0.2.901-6.fc9.i386
xorg-x11-drv-palmax-1.1.0-4.fc8.i386
xorg-x11-drv-penmount-1.1.0-3.fc7.i386
xorg-x11-drv-rendition-4.1.3-5.fc8.i386
xorg-x11-drv-s3virge-1.9.1-5.fc8.i386
xorg-x11-drv-savage-2.1.3-100.20071210.fc9.i386
xorg-x11-drv-siliconmotion-1.5.1-3.fc8.i386
xorg-x11-drv-sis-0.9.4-3.fc9.i386
xorg-x11-drv-sisusb-0.8.1-9.fc8.i386
xorg-x11-drv-spaceorb-1.1.0-4.fc8.i386
xorg-x11-drv-summa-1.1.0-4.fc8.i386
xorg-x11-drv-tdfx-1.3.0-6.fc8.i386
xorg-x11-drv-tek4957-1.1.0-4.fc8.i386
xorg-x11-drv-trident-1.2.3-6.fc8.i386
xorg-x11-drv-ur98-1.1.0-4.fc8.i386
xorg-x11-drv-v4l-0.1.1-8.fc8.i386
xorg-x11-drv-vesa-1.3.0-12.20071113.fc9.i386
xorg-x11-drv-vmmouse-12.4.3-3.fc9.i386
xorg-x11-drv-vmware-10.15.2-99.1.fc9.i386
xorg-x11-drv-void-1.1.1-8.fc9.i386
xorg-x11-drv-voodoo-1.1.1-1.fc8.i386
xorg-x11-filesystem-7.1-2.fc6.noarch
xorg-x11-fonts-100dpi-7.2-6.fc9.noarch
xorg-x11-fonts-75dpi-7.2-6.fc9.noarch
xorg-x11-fonts-cyrillic-7.2-6.fc9.noarch
xorg-x11-fonts-ethiopic-7.2-6.fc9.noarch
xorg-x11-fonts-ISO8859-1-100dpi-7.2-6.fc9.noarch
xorg-x11-fonts-ISO8859-14-100dpi-7.2-6.fc9.noarch
xorg-x11-fonts-ISO8859-14-75dpi-7.2-6.fc9.noarch
xorg-x11-fonts-ISO8859-15-100dpi-7.2-6.fc9.noarch
xorg-x11-fonts-ISO8859-15-75dpi-7.2-6.fc9.noarch
xorg-x11-fonts-ISO8859-1-75dpi-7.2-6.fc9.noarch
xorg-x11-fonts-ISO8859-2-100dpi-7.2-6.fc9.noarch
xorg-x11-fonts-ISO8859-2-75dpi-7.2-6.fc9.noarch
xorg-x11-fonts-ISO8859-9-100dpi-7.2-6.fc9.noarch
xorg-x11-fonts-ISO8859-9-75dpi-7.2-6.fc9.noarch
xorg-x11-fonts-misc-7.2-6.fc9.noarch
xorg-x11-fonts-Type1-7.2-6.fc9.noarch
xorg-x11-font-utils-7.2-3.fc9.i386
xorg-x11-proto-devel-7.3-7.fc9.noarch
xorg-x11-server-common-1.4.99.1-0.19.20080107.fc9.i386
xorg-x11-server-utils-7.3-2.fc9.i386
xorg-x11-server-Xorg-1.4.99.1-0.19.20080107.fc9.i386
xorg-x11-twm-1.0.3-1.fc8.i386
xorg-x11-util-macros-1.1.5-1.fc7.i386
xorg-x11-utils-7.3-1.fc8.i386
xorg-x11-xauth-1.0.2-3.fc8.i386
xorg-x11-xinit-1.0.7-5.fc9.i386
xorg-x11-xkb-utils-7.2-3.fc8.i386
xorg-x11-xtrans-devel-1.0.3-5.fc8.i386
2.6.25-0.40.rc1.git2.fc9
Comment 1 James Ralston 2008-02-15 20:48:50 EST
Created attachment 295057 [details]
Xorg.0.log log from an X session which demonstrates the problem
Comment 2 James Ralston 2008-02-15 20:53:19 EST
Created attachment 295058 [details]
/etc/X11/xorg.conf file

Here's the xorg.conf file as well.  It was generated by system-config-display. 
(The only difference between it and the xorg.conf from when I was running
Fedora 8 is:

--- 8/current/etc/X11/xorg.conf 2007-12-20 23:19:59.000000000 -0500
+++ 8.90/current/etc/X11/xorg.conf	2008-02-15 00:14:52.000000000 -0500
@@ -11,7 +11,7 @@
	Identifier  "Keyboard0"
	Driver	    "kbd"
	Option	    "XkbModel" "pc105"
-	Option	    "XkbLayout" "us"
+	Option	    "XkbLayout" "us+inet"
 EndSection
 
 Section "InputDevice"
Comment 3 Matěj Cepl 2008-02-16 10:15:11 EST
Can we get an output of xev, when moving the keyboard mouse, please, attached to
this bug?
Comment 4 James Ralston 2008-02-17 17:51:07 EST
Alas, there's nothing to attach; moving the keyboard mouse generates no events
in xev whatsoever.  (The same is true with the USB mouse; moving it or pressing
buttons generates no events.)
Comment 5 Matěj Cepl 2008-02-17 18:51:03 EST
OK, that's interesting.
Comment 6 James Ralston 2008-02-17 19:20:14 EST
The USB mouse works properly in all computers I've used it with.  Also, my
laptop is a Windows/Linux dual-boot system, and the USB mouse and the keyboard
mouse both work properly when I boot into Windows.
Comment 7 Steve Alexander 2008-02-18 00:14:37 EST
I'm seeing a similar/same problem on an IBM T42 thinkpad w/ the F9 alpha
distro.

The synaptic touchpad and it's two buttons function normally.
The trackpoint and it's 3 buttons do not function.
Two usb mice i've tried (Logitech wired and wireless) do not function.
The non-functioning devices do not produce a response for xev.
Inserting a usb mouse cause apparently normal output from "udevadm monitor
...".  Normal looking devices are created for the usb mice under /dev/input.

I copied the 2.6.24.1-26.fc9 kernel, initrd, and /lib/modules tree to a
partition with a current fc8 distro, and booted the fc9 kernel.  All mouse
devices worked as expected using the fc9 kernel and fc8 root distro files.
Comment 8 James Ralston 2008-03-03 13:29:53 EST
As of about a week or so ago, I no longer see this problem; all of the touchpad,
the keyboard mouse, and external USB mice work fine.  I'm unsure of what
specific update fixed it, though.

Steve, are you still seeing problems?
Comment 9 Steve Alexander 2008-03-04 17:15:09 EST
Everything is now working perfectly.
Comment 10 James Ralston 2008-03-04 17:47:19 EST
Ok.  I'm going to assume this problem is fixed, then.

Note You need to log in before you can comment on or make changes to this bug.